Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMList

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.SOMList

All Implemented Interfaces:
  Serializable

public class SOMList
extends SOMObject

<list> A defining construct for schema components. The XML representation for restricting a type schema component is either a <restriction>, a <list> or a <union> element information item.

The list element defines a simpleType's content to be composed of a list of another type.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Constructor Summary
`SOMList(SOMType itemType)`

Method Summary
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)`
`String` | `createDefault()`
`String` | `getID()` Returns a printable element tag for this Schema Object
`SOMType` | `getType()`
`SOMType` | `setType(SOMType itemType)`
`void` | `toXML(Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMList

    public SOMList(SOMType itemType)

Method Detail

### getID

    public String getID()

  Description copied from class: `SOMObject`
  Returns a printable element tag for this Schema Object

  Specified by:
    `getID` in class `SOMObject`
  Returns:
    String representation of the element tag

### setType

    public SOMType setType(SOMType itemType)

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

### getType

    public SOMType getType()

### toXML

    public void toXML(Writer rtn,
                      int indent)
               throws IOException

  Description copied from class: `SOMObject`
  Outputs a formatted XML representation of SOMObject.

  Specified by:
    `toXML` in class `SOMObject`
  Parameters:
    `rtn` - printable XML Schema
    `indent` - the indent level for formatting at which to start this schema object.
  Throws:
    `IOException` - if IOExcpetion is thrown by underlying java.io.Writer

### createDefault

    public String createDefault()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD